﻿using System.Collections.Generic;

namespace BootstrapSupport.Extensions
{
    internal static class ObjectExtensions
    {
        internal static bool In<T>(this T t, IEnumerable<T> enumerable)
        {
            foreach (T item in enumerable)
            {
                if (item.Equals(t))
                { return true; }
            }
            return false;
        }

        internal static bool In<T>(this T t, params T[] items)
        {
            foreach (T item in items)
            {
                if (item.Equals(t))
                { return true; }
            }
            return false;
        }
    }
}